> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.finverse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payment Accounts for Customer App, with payment method overview

> Retrieve all Payment Accounts for a Customer App, including for any `SETTLEMENT_ACCOUNT` the details on the account's payment method configurations (`payment_method_overview`).

**Authorization**: `customer_token`

## Response field

### payment_accounts (array of objects)

List of payment accounts for the Customer App:

### payment_method_overview (object)

(For `account_type` = `SETTLEMENT_ACCOUNT` only)

Details on the settlement account's payment method configurations.



## OpenAPI

````yaml /api-reference/openapi.json get /payment_accounts
openapi: 3.0.0
info:
  description: Documentation of the early finverse services
  title: Finverse Public
  termsOfService: https://example.com
  contact:
    name: Maintainers
    email: info@finverse.com
  license:
    name: unknown license
  version: 0.0.1
servers:
  - url: https://api.prod.finverse.net
security:
  - Oauth2:
      - test
tags:
  - name: public
    description: Publicly accessible endpoints
    x-group: Public
  - name: customer
    description: Customer app and institution endpoints
    x-group: Customer
  - name: link
    description: Finverse Link flows
    x-group: Link
  - name: login_identity
    description: Login identity lifecycle and metadata
    x-group: Login identity
  - name: accounts
    description: Accounts, balances, and account numbers
    x-group: Accounts
  - name: statements
    description: Statements and composite statements
    x-group: Statements
  - name: transactions
    description: Transaction history
    x-group: Transactions
  - name: identity_income
    description: Identity and income insights
    x-group: Identity & income
  - name: payment_links
    description: Payment link creation and checkout
    x-group: Payment links
  - name: mandates
    description: Direct debit mandates
    x-group: Mandates
  - name: payments
    description: Payment initiation and status
    x-group: Payment operations
  - name: payouts
    description: Payouts and scheduled payouts
    x-group: Payouts
  - name: payment_users
    description: Payment user profiles
    x-group: Payment users
  - name: payment_accounts
    description: Payment accounts for users
    x-group: Payment accounts
  - name: payment_methods
    description: Stored payment methods
    x-group: Payment methods
  - name: bills
    description: Bill presentment
    x-group: Bills
  - name: disputes
    description: Payment disputes
    x-group: Disputes
  - name: ledger
    description: Ledger and statements
    x-group: Ledger
paths:
  /payment_accounts:
    get:
      tags:
        - payment_accounts
      summary: List Payment Accounts for Customer App, with payment method overview
      description: >-
        Retrieve all Payment Accounts for a Customer App, including for any
        `SETTLEMENT_ACCOUNT` the details on the account's payment method
        configurations (`payment_method_overview`).


        **Authorization**: `customer_token`


        ## Response field


        ### payment_accounts (array of objects)


        List of payment accounts for the Customer App:


        ### payment_method_overview (object)


        (For `account_type` = `SETTLEMENT_ACCOUNT` only)


        Details on the settlement account's payment method configurations.
      operationId: listPaymentAccountsWithEnrichedData
      parameters:
        - description: The account_type to filter for
          name: account_type
          in: query
          schema:
            type: string
            enum:
              - EXTERNAL_ACCOUNT
              - SETTLEMENT_ACCOUNT
        - description: The currencies to filter for
          name: currencies
          in: query
          style: form
          explode: false
          schema:
            type: array
            items:
              type: string
        - description: default is 0
          name: offset
          in: query
          schema:
            type: integer
            default: 0
        - description: default is 500, max is 1000
          name: limit
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 1000
            default: 500
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListPaymentAccountsWithEnrichedDataResponse
              examples:
                external_accounts:
                  summary: Success (External Accounts)
                  value:
                    payment_accounts:
                      - account_id: 01JY8C5EK9HVZGGJ13WAKXR6WQ
                        account_number:
                          number: 01JY8C5EPK3ZCQ85Y423CZR05X
                          type: LOCAL
                        account_number_masked: 123XXXXX90
                        account_type: EXTERNAL_ACCOUNT
                        accountholder_name: 01JY8C5EMYC8DM7576TBAA7RZW
                        bank_code: '420'
                        business_units: []
                        created_at: '2025-06-21T04:32:50.393Z'
                        currencies:
                          - HKD
                        customer_app_id: 01JY8AKP7FJJR4MM96YS13XPSS
                        institution_id: testbank-dbs-hk
                        institution_name: Testbank (HK) Payments - Personal
                        metadata:
                          employer_name: Apple Inc
                          key: value
                        updated_at: '2025-06-21T04:32:50.393Z'
                        user_id: 01JY8C52DZQK1MQQNRJEKPA5S0
                      - account_id: 01JY8BYFS6JTRTZD17HCTNTKCK
                        account_number:
                          number: 01JY8BYFVX5MQ03E52JRSTMC9X
                          type: LOCAL
                        account_number_masked: 123XXXXX90
                        account_type: EXTERNAL_ACCOUNT
                        accountholder_name: 01JY8BYFTEA7CYZV4Y0HZF7WKX
                        bank_code: '420'
                        business_units: []
                        created_at: '2025-06-21T04:29:02.212Z'
                        currencies:
                          - HKD
                        customer_app_id: 01JY8AKP7FJJR4MM96YS13XPSS
                        institution_id: testbank-dbs-hk
                        institution_name: Testbank (HK) Payments - Personal
                        metadata:
                          employer_name: Apple Inc
                          key: value
                        updated_at: '2025-06-21T04:29:02.212Z'
                        user_id: 01JY8BY1XE678ZMJDRHNMZ7KXK
                    total: 2
                settlement_accounts:
                  summary: Success (Settlement Accounts)
                  value:
                    payment_accounts:
                      - account_id: 01JY8AKPHEKTXAQ254QEE9VP7W
                        account_type: SETTLEMENT_ACCOUNT
                        business_units: []
                        created_at: '2025-06-21T04:05:40.014Z'
                        customer_app_id: 01JY8AKP7FJJR4MM96YS13XPSS
                        updated_at: '2025-06-21T04:05:40.014Z'
                        user_id: 01JY8AKP8PYEJ03BKSH5TF2B4A
                        payment_method_overview:
                          external_gateway: UOB
                          live_mode: false
                          payment_confirmation_speed: REALTIME
                          payment_method_subtype: PAYNOW (SG)
                          payment_method_type: MANUAL
                          supported_currencies:
                            - SGD
                      - account_id: 01JY8AKPGD7P79WCYKZXAYDJS8
                        account_type: SETTLEMENT_ACCOUNT
                        business_units: []
                        created_at: '2025-06-21T04:05:39.981Z'
                        customer_app_id: 01JY8AKP7FJJR4MM96YS13XPSS
                        updated_at: '2025-06-21T04:05:39.981Z'
                        user_id: 01JY8AKP8PYEJ03BKSH5TF2B4A
                        payment_method_overview:
                          external_gateway: UOB
                          live_mode: false
                          payment_confirmation_speed: REALTIME
                          payment_method_subtype: EGIRO (SG)
                          payment_method_type: MANDATE
                          supported_currencies:
                            - SGD
                      - account_id: 01JY8AKPF2CBDBQ6F66N78NA47
                        account_type: SETTLEMENT_ACCOUNT
                        business_units: []
                        created_at: '2025-06-21T04:05:39.939Z'
                        customer_app_id: 01JY8AKP7FJJR4MM96YS13XPSS
                        updated_at: '2025-06-21T04:05:39.939Z'
                        user_id: 01JY8AKP8PYEJ03BKSH5TF2B4A
                        payment_method_overview:
                          live_mode: false
                          payment_confirmation_speed: REALTIME
                          payment_method_subtype: STRIPE
                          payment_method_type: CARD
                          payment_processor: FINVERSE
                          supported_currencies:
                            - HKD
                            - CNY
                            - USD
                            - SGD
                      - account_id: 01JY8AKPD7J0GDJGX99VWJSMXN
                        account_type: SETTLEMENT_ACCOUNT
                        business_units: []
                        created_at: '2025-06-21T04:05:39.879Z'
                        customer_app_id: 01JY8AKP7FJJR4MM96YS13XPSS
                        updated_at: '2025-06-21T04:05:39.879Z'
                        user_id: 01JY8AKP8PYEJ03BKSH5TF2B4A
                        payment_method_overview:
                          live_mode: false
                          payment_confirmation_speed: DELAYED
                          payment_method_subtype: FPS (HK)
                          payment_method_type: MANUAL
                          payment_processor: FINVERSE
                          supported_currencies:
                            - HKD
                            - CNY
                      - account_id: 01JY8AKPBC32AZ5TPD99R27JZP
                        account_type: SETTLEMENT_ACCOUNT
                        business_units: []
                        created_at: '2025-06-21T04:05:39.821Z'
                        customer_app_id: 01JY8AKP7FJJR4MM96YS13XPSS
                        updated_at: '2025-06-21T04:05:39.821Z'
                        user_id: 01JY8AKP8PYEJ03BKSH5TF2B4A
                        payment_method_overview:
                          live_mode: false
                          payment_confirmation_speed: REALTIME
                          payment_method_subtype: EDDA (HK)
                          payment_method_type: MANDATE
                          payment_processor: FINVERSE
                          supported_currencies:
                            - HKD
                            - CNY
                    total: 5
        '400':
          description: Invalid Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrBodyModelV2'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrBodyModelV2'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrBodyModelV2'
      security:
        - Oauth2:
            - paymentAccount:list
components:
  schemas:
    ListPaymentAccountsWithEnrichedDataResponse:
      properties:
        payment_accounts:
          type: array
          items:
            $ref: '#/components/schemas/PaymentAccountDetailsWithEnrichedData'
        total:
          description: Total number of matching payment accounts
          type: integer
    ErrBodyModelV2:
      properties:
        error:
          $ref: '#/components/schemas/FvErrorModelV2'
    PaymentAccountDetailsWithEnrichedData:
      allOf:
        - $ref: '#/components/schemas/PaymentAccountDetails'
        - type: object
          properties:
            payment_method_overview:
              $ref: '#/components/schemas/PaymentMethodOverview'
    FvErrorModelV2:
      required:
        - type
        - error_code
        - message
        - details
        - request_id
      properties:
        details:
          type: string
        error_code:
          type: string
          example: CREDENTIALS_INVALID
        message:
          type: string
        request_id:
          description: The request_id provided in the request header
          type: string
        type:
          description: The error type
          type: string
          enum:
            - LINK_ERROR
            - API_ERROR
          example: LINKING_ERROR
    PaymentAccountDetails:
      properties:
        account_id:
          description: Payment account id
          type: string
        account_number:
          $ref: '#/components/schemas/RecipientAccountNumber'
        account_number_masked:
          description: Masked Account number of the payment account
          type: string
        account_type:
          description: Type of payment account.
          type: string
          enum:
            - EXTERNAL_ACCOUNT
            - SETTLEMENT_ACCOUNT
          example: EXTERNAL_ACCOUNT
        accountholder_name:
          description: Accountholder name of the payment account
          type: string
          example: Chan Li Pak
        bank_code:
          description: 3-digit code associated with bank
          type: string
          example: '004'
        branch_code:
          description: 3-digit code used to identify specific bank branch
          type: string
          example: '123'
        business_units:
          description: The business units the payment account belongs to
          type: array
          items:
            type: string
          x-omitempty: true
        created_at:
          description: >-
            Timestamp of when the payment link was created in ISO format
            (YYYY-MM-DDTHH:MM:SS.SSSZ)
          type: string
          format: date-time
        currencies:
          description: List of currencies supported by the payment account
          type: array
          items:
            type: string
          x-omitempty: true
          example:
            - HKD
            - SGD
        customer_app_id:
          description: The customer app ID
          type: string
          example: 01ARZ3NDEKTSV4RRFFQ69G5FAV
        institution_id:
          description: Finverse Institution ID for the payment institution.
          type: string
          example: hsbc-hk
        institution_name:
          description: Institution Name for the sender’s institution.
          type: string
          example: HSBC
        legal_entity_name:
          description: This field is only applicable to settlement account
          type: string
        metadata:
          description: >-
            Additional attributes of the sender account in key:value format
            (e.g. sender_id: 1234). It supports up to 10 key:value pairs,
            whereas the key and value supports up to 50 and 1000 characters
            respectively.
          type: object
          additionalProperties:
            type: string
        updated_at:
          description: >-
            Timestamp of when the payment link was last updated in ISO format
            (YYYY-MM-DDTHH:MM:SS.SSSZ)
          type: string
          format: date-time
        user_id:
          description: >-
            A unique identifier generated after creating user (Finverse Payment
            User ID)
          type: string
          example: 01GY6H0JA7BS8EVGY56NSHFX2E
    PaymentMethodOverview:
      required:
        - live_mode
      properties:
        external_gateway:
          description: >-
            STRIPE, CYBERSOURCE, UOB, DBS (only shown when payment flows funds
            via a 3rd party gateway direct to the customer)
          type: string
        live_mode:
          description: Whether the payment method can move real money or not
          type: boolean
        payment_confirmation_speed:
          description: It can be either REALTIME or DELAYED
          type: string
        payment_method_subtype:
          description: The payment method subtype, e.g., EDDA_HK, CARD_GENERIC etc
          type: string
        payment_method_type:
          description: The payment method type, possible values CARD, MANDATE and MANUAL
          type: string
        payment_processor:
          description: Only shown if funds flow via Finverse, possible values FINVERSE
          type: string
        supported_currencies:
          description: Shows which currencies are supported
          type: array
          items:
            type: string
          example:
            - HKD
            - CNY
    RecipientAccountNumber:
      type: object
      required:
        - type
        - number
      properties:
        number:
          description: >-
            Account number. Account numbers in responses are tokenized by
            Finverse.
          type: string
          maxLength: 100
          minLength: 1
        number_plaintext:
          description: Account number in plaintext
          type: string
          maxLength: 100
          minLength: 1
          nullable: true
        type:
          description: 'Type of account number format. Possible values: `IBAN`, `LOCAL`'
          type: string
          enum:
            - LOCAL
            - IBAN
  securitySchemes:
    Oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://finverse-dev.us.auth0.com/oauth/token
          scopes:
            account: Account
            balance: Balance
            credit: Credit
            institution: Institution
            investment: Investment
            link: Link
            test: Test
            transaction: Transaction

````